import { DOMPart } from '../dom/dom.js';
import { IPartContext } from '../../part.js';
import { ButtonComponent } from './button-component.js';
export declare class ButtonPart extends DOMPart {
    private static stylesAdded;
    /**
     * Adds the button styles to a given DOM element
     * @param root Target DOM element for the styles to be added to
     */
    private static addStyles;
    core: ButtonComponent;
    static transformLegacy(app: any): void;
    constructor();
    onInstall(context: IPartContext): void;
    getElement(): HTMLButtonElement;
    render(): void;
    label: string;
    color: string;
    background: string;
}
